[Stable Update i686] 2018-06-19 - GCC 8.1.1, kernels, Firefox, Chromium, KDE Framework, TeX Live

update
stable
manjaro32

#1

Hello i686ers!

This is a large set of updates, bumping GCC to 8.1.1 so there’s a good number of rebuilds.

Firefox and Chromium are updated so you’re secure while browsing again…

For any LaTeX users out there the update to TeX Live 2018 release will no doubt be welcome.

LibreOffice Still sees a point release update too.

There’s the usual set of Python module updates.

Also, kernels.


Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


Available kernels

Series Version
linux316 3.16.56
linux41 4.1.52
linux44 4.4.138
linux49 4.9.109
linux414 4.14.50

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

Full list of changes

Full list is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



[Testing Update i686] 2018-06-07 to 17 - GCC 8.1.1, kernels, Firefox, Chromium, KDE Framework, TeX Live
#2

Known issues and solutions


thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

It looks like this is a packaging conflict which hasn’t been addressed by the upstream package(s). It’s a pretty trivial fix though, simply uninstall engrampa-thunar-plugin:

sudo pacman -Rncs engrampa-thunar-plugin
sudo pacman -Syu

There’s no loss of functionality.


It no longer boots correctly in VirtualBox

X refuses to start

There’s an issue somewhere between the VirtualBox video drivers, the kernel, Xorg 1.20, and MESA; the workaround is to boot with nomodeset until it’s fixed by whichever project finds out they need to fix it.

Kernel panic

Set “Enable I/O APIC” for the VM.

This might be down to the retpoline patches?



After initial upgrade system hangs after grub with black screen
[Testing Update i686] 2018-06-07 to 17 - GCC 8.1.1, kernels, Firefox, Chromium, KDE Framework, TeX Live
#3

I had to switch to video-nvidia-340xx from nvidia 390xx.

When I tried to update the system, the nvidia-utils-390xx dependency was lost.

Without problems with nouveau and 340xx drivers.

Best regards.


#4

Haven’t updated for a while. 580 packages were updated. I had to deal with the ffmpeg2.8 issue. Besides that everything went ok. I also saw I really need to cleanup that system: a lot of orphans and AUR packages failing to build because they lack i686 support now.

Cheers and thanks for all the work,


#5

Update on 1 Machine and 1 VB without Problems.

DK3


#6

This topic was automatically closed 24 hours after the last reply. New replies are no longer allowed.